import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-card',
  standalone: true,
  imports: [CommonModule],
  template: `
    <div class="tw-bg-white tw-rounded-lg tw-shadow-md tw-overflow-hidden tw-mb-4 tw-border tw-border-gray-300">
      <!-- Header slot với attribute selector -->
      <div class="tw-bg-blue-100 tw-px-4 tw-py-3 tw-border-b tw-border-gray-200">
        <div class="tw-text-xs tw-text-blue-600 tw-mb-1">🎯 HEADER SLOT [slot=header]:</div>
        <ng-content select="[slot=header]"></ng-content>
      </div>
      
      <!-- Body slot - default content -->
      <div class="tw-p-4 tw-text-gray-700 tw-leading-relaxed tw-bg-yellow-50">
        <div class="tw-text-xs tw-text-yellow-600 tw-mb-2">📝 BODY SLOT (default):</div>
        <ng-content></ng-content>
      </div>
      
      <!-- Footer slot với class selector -->
      <div class="tw-bg-green-100 tw-px-4 tw-py-3 tw-border-t tw-border-gray-200 tw-text-sm tw-text-gray-600">
        <div class="tw-text-xs tw-text-green-600 tw-mb-1">🏷️ FOOTER SLOT .card-footer-content:</div>
        <ng-content select=".card-footer-content"></ng-content>
      </div>
      
      <!-- Actions slot với class selector hoặc button selector -->
      <div class="tw-px-4 tw-py-3 tw-border-t tw-border-gray-200 tw-flex tw-gap-2 tw-justify-end tw-bg-red-100">
        <div class="tw-text-xs tw-text-red-600 tw-w-full tw-mb-2">🔘 ACTIONS SLOT (.card-actions OR button):</div>
        <div class="tw-w-full tw-flex tw-gap-2 tw-justify-end tw-flex-wrap">
          <ng-content select=".card-actions"></ng-content>
          <ng-content select="button"></ng-content>
        </div>
      </div>
    </div>
  `,
  styles: []
})
export class CardComponent {
  constructor() {}
}
